<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <title>Time tracker · Foundation</title>
  <link rel="stylesheet" href="fontawesome/css/all.css" />
  <link rel="stylesheet" href="dist/css/main.css">
</head>

<body>

  <!-- START Template -->
  <script type="text/template">
    <div class="wrapper">

      <!-- START Sidebar -->
      <div class="sidebar-wrapper">

        <ul class="vertical menu">
          <li class="menu-text">
            <h1 class="h4 margin-bottom-0">Time tracker</h1>
          </li>
          <li class="menu-text">
            {% assign activeUser = users | where: "id", options.activeUser | first %}
            <span class="h5 margin-bottom-0">{{ activeUser.name }}</span>
          </li>
          <li class="is-active"> 
            <a href="index.html">
              <i class="fas fa-tachometer-alt"></i>
              Dashboard
            </a>
          </li>
          <li>
            <a href="time.html">
              <i class="far fa-clock"></i>
              Time tracking
            </a>
          </li>
          <li>
            <a href="projects.html">
              <i class="fas fa-project-diagram"></i>
              Projects
            </a>
          </li>
          <li>
            <a href="clients.html">
              <i class="fas fa-star"></i>
              Clients
            </a>
          </li>
          <li>
            <a href="teams.html">
              <i class="fas fa-users-cog"></i>
              Teams
            </a>
          </li>
          <li>
            <a href="users.html">
              <i class="fas fa-users"></i>
              Users
            </a>
          </li>
          <li>
            <a href="settings.html">
              <i class="fas fa-cogs"></i>
              Settings
            </a>
          </li>
        </ul>

      </div>
      <!-- END Sidebar-->
  

      <!-- START Main -->
      <div class="main-wrapper">

        <div class="top-bar">
          <div class="top-bar-left">
            <ul class="menu">
              <li>
                <a href="#" class="button secondary" id="js-open-nav">
                  <i class="fas fa-bars"></i>
                  <span>Menu</span>
                </a>
              </li>
            </ul>
          </div>
          <div class="top-bar-right">
            <ul class="menu">
              <li><button type="button" class="button"id="js-logout">Log out</button></li>
            </ul>
          </div>
        </div>
  
        <!-- START Content -->
        <div class="grid-container">

          <div class="flex-container align-middle margin-top-1">
            <h2 class="h2 flex-child-grow">Dashboard</h2>
            <div>
              <a href="../index.html" class="hollow button secondary small">Change framework</a>
              <button class="hollow button secondary small" id="js-load-data">Reset data</button>
            </div>
          </div>
    

          <div class="grid-x grid-margin-x">
            <div class="cell medium-6">
              <h3>My tracker</h3>

              <div class="grid-x">
                {% assign filteredEntries = entries | where: "userId", activeUser.id %}
                {% for entry in filteredEntries %}
                  {% assign entryProject = projects | where: "id", entry.projectId | first %}
                  {% if entryProject.active == 1 %}
                  <div class="cell">
                    <div class="callout">
                      <h4 class="h5">{{ entry.desc }}</h4>
                      <p>
                        Project: {{ entryProject.name }}
                        <br>
                        <small class="margin-right-1">
                          <i class="far fa-clock"></i>
                          {{ entry.startTime | date: "%H:%M" }} - {{ entry.endTime | date: "%H:%M" }} ({{ entry.startTime | timeDiff: entry.endTime }})
                        </small>
                        <small>
                          <i class="far fa-calendar-alt"></i>
                          {{ entry.startTime | date: "%d.%m.%Y" }}
                        </small>
                      </p>
  
                    </div>
                  </div>
                  {% endif %}
                {% endfor %}
              </div>

              <div>
                <a href="time.html" type="button" class="button"><i class="fas fa-plus"></i> Go to tracker</a>
              </div>

            </div>

            <div class="cell medium-6">
              <h3>My tasks</h3>

              <div class="grid-x">
                {% assign filteredTasks = tasks | where: "userId", activeUser.id %}
                {% for task in filteredTasks %}
                  {% assign taskProject = projects | where: "id", task.projectId | first %}
                  {% if taskProject.active == 1 %}
                  {% if task.status == 0 %}
                  <div class="cell">
                    <div class="callout">
                      <div class="flex-container align-middle">
                        <div class="flex-child-grow">                    
                          <h4 class="h5">{{ task.name }}</h4>
                          <p class="margin-bottom-0">
                            Project: {{ taskProject.name }}
                          </p>
                        </div>
                        <div>
                          <a href="detail.html?project={{ taskProject.id }}" class="button small margin-bottom-0">
                            <i class="far fa-eye"></i>
                          </a>
                          <button type="button" data-finish-task="{{ task.id }}" class="button small success margin-bottom-0">
                            <i class="fas fa-check"></i>
                          </button>
                        </div>
                      </div>
                    </div>
                  </div>
                  {% endif %}
                  {% endif %}
                {% endfor %}
              </div>

            </div>
          </div>


        </div>
        <!-- END Content -->


      </div>
      <!-- END Main -->
  
    </div>
    <!-- END Wrapper -->

  </script>
  <!-- END Template -->

  <div id="render">
  </div>

  <script src="dist/js/app.js"></script>
</body>

</html>